Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027492
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorrandom2014-08-28 15:502014-10-02 17:25
ReporterjecharriView Statuspublic 
Assigned Toszapata 
PriorityurgentResolutionfixedFixed in VersionRR14Q4
StatusclosedFix in branchFixed in SCM revisionfa86c7ba673d
ProjectionnoneETAnoneTarget VersionRR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR14Q3SCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027492: Invoices created with wrong totals at line level and also header level

DescriptionInvoices created with wrong totals at line level and also header level

Sometimes, it seems that with orders with big quantity of lines, orders lines are synchronized with Net Unit prize equal to 0. This is creating the problem that total invoice is 0.

Confirmed that orders have not any discount applied.
Steps To Reproduce-
Proposed SolutionImprove the validation function in issue 26781. Include the case when the totals are cero but any discount has been applied
TagsNo tags attached.
Attached Filespng file icon Selection_123.png [^] (147,778 bytes) 2014-08-28 15:50

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026781RR14Q4 closedOrekaria Prevent completing order with grandtotal different than the sumatory of the lines plus the tax amounts for the order 
related to defect 0027695 closedmarvintm "Invoice Paid" field at Payment schedule Details level is not properly set by Cash Up process 
causes defect 0028006RR14Q4 closedmarvintm An error popup appears when you try to complete a receipt with 0.00 total amount 

-  Notes
(0070076)
szapata (developer)
2014-09-11 01:20

Is there any steps to reproduce I'm missing?
Not able to reproduce.
(0070078)
szapata (developer)
2014-09-11 01:33

Is there any environment to see the problem?
Thanks
(0070092)
hgbot (developer)
2014-09-12 01:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8a47e6f0b72c07bd61ce8e3b1ce8dbf2b6c0e0b7
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Fri Sep 12 01:27:59 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8a47e6f0b72c07bd61ce8e3b1ce8dbf2b6c0e0b7 [^]

Fixed issue 27492: If oldGross = 0 means that no discount has been applied, so it is an incorrect amount for an order

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0070503)
migueldejuana (developer)
2014-09-29 17:43

One case that order gross can be 0:

- Add a line
- Add a 100% discount to this line
- Total of the ticket is 0
- ERROR: We cannot process this order

We should be able to process this order.
(0070632)
hgbot (developer)
2014-10-01 22:49

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 225553f3f1e070f271424c731b044d800d0eb21b
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Wed Oct 01 17:48:13 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/225553f3f1e070f271424c731b044d800d0eb21b [^]

Fixed issue 27492: restriction valid only if no promotions found

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0070668)
hgbot (developer)
2014-10-02 17:08

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fa86c7ba673d791981d768b11368d468fafa27b9
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Thu Oct 02 12:07:33 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa86c7ba673d791981d768b11368d468fafa27b9 [^]

Fixed issue 27492: Check also if the promotion is by the 100% of the amount, if not, it should fail

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0070669)
migueldejuana (developer)
2014-10-02 17:25

Tested and reviewed in 7df701d05751

- Issue History
Date Modified Username Field Change
2014-08-28 15:50 jecharri New Issue
2014-08-28 15:50 jecharri Assigned To => marvintm
2014-08-28 15:50 jecharri File Added: Selection_123.png
2014-08-28 15:50 jecharri Triggers an Emergency Pack => No
2014-08-28 16:24 jecharri Relationship added related to 0026781
2014-08-28 16:24 jecharri Proposed Solution updated
2014-08-28 16:28 jecharri Proposed Solution updated
2014-09-11 01:20 szapata Note Added: 0070076
2014-09-11 01:20 szapata Status new => feedback
2014-09-11 01:24 jecharri Status feedback => new
2014-09-11 01:33 szapata Note Added: 0070078
2014-09-12 01:28 hgbot Checkin
2014-09-12 01:28 hgbot Note Added: 0070092
2014-09-12 01:28 hgbot Status new => resolved
2014-09-12 01:28 hgbot Resolution open => fixed
2014-09-12 01:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8a47e6f0b72c07bd61ce8e3b1ce8dbf2b6c0e0b7 [^]
2014-09-16 08:38 Orekaria Review Assigned To => Orekaria
2014-09-16 08:38 Orekaria Status resolved => closed
2014-09-16 08:38 Orekaria Fixed in Version => RR14Q4
2014-09-26 15:10 Orekaria Relationship added related to 0027695
2014-09-29 17:43 migueldejuana Assigned To marvintm => szapata
2014-09-29 17:43 migueldejuana Note Added: 0070503
2014-09-29 17:43 migueldejuana Status closed => new
2014-09-29 17:43 migueldejuana Resolution fixed => open
2014-09-29 17:43 migueldejuana Fixed in Version RR14Q4 =>
2014-10-01 22:49 hgbot Checkin
2014-10-01 22:49 hgbot Note Added: 0070632
2014-10-01 22:49 hgbot Status new => resolved
2014-10-01 22:49 hgbot Resolution open => fixed
2014-10-01 22:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8a47e6f0b72c07bd61ce8e3b1ce8dbf2b6c0e0b7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/225553f3f1e070f271424c731b044d800d0eb21b [^]
2014-10-02 17:08 hgbot Checkin
2014-10-02 17:08 hgbot Note Added: 0070668
2014-10-02 17:08 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/225553f3f1e070f271424c731b044d800d0eb21b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa86c7ba673d791981d768b11368d468fafa27b9 [^]
2014-10-02 17:25 migueldejuana Review Assigned To Orekaria => migueldejuana
2014-10-02 17:25 migueldejuana Note Added: 0070669
2014-10-02 17:25 migueldejuana Status resolved => closed
2014-10-02 17:25 migueldejuana Fixed in Version => RR14Q4
2014-11-17 13:21 mtaal Relationship added causes 0028006


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker